WebExport
Date: 2019-10-22

org.openscience.jmol.app.webexport

## Class WebExport

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.openscience.jmol.app.webexport.WebExport

- All Implemented Interfaces:
    java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

      public class WebExport
      extends javax.swing.JPanel
      implements java.awt.event.WindowListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `chemappsPath`
    `private static HistoryFile` | `historyFile`
    `private static int` | `IN_JMOL`
    `(package private) static java.lang.String` | `localAppletPath`
    `(package private) static java.lang.String` | `pageAuthorName`
    `(package private) static int` | `popInHeight`
    `(package private) static int` | `popInWidth`
    `(package private) static java.util.Properties` | `prop`
    `(package private) static java.lang.String` | `remoteAppletPath`
    `private static int` | `runStatus`
    `(package private) static int` | `scriptButtonPercent`
    `private static boolean` | `showMoleculesAndOrbitals`
    `private static int` | `STAND_ALONE`
    `(package private) static WebExport` | `webExport`
    `private static javax.swing.JFrame` | `webFrame`
    `private static WebPanel[]` | `webPanels`
    `private static java.lang.String` | `windowName`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `WebExport(Viewer vwr, HistoryFile hFile)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `cleanUp()`
    `static WebExport` | `createAndShowGUI(Viewer vwr, HistoryFile historyFile, java.lang.String wName)`
    `static void` | `dispose()`
    `(package private) static java.lang.String` | `getAppletPath(boolean isRemote)`
    `(package private) static javax.swing.JFrame` | `getFrame()`
    `(package private) static java.lang.String` | `getPageAuthorName()`
    `(package private) static int` | `getPopInHeight()`
    `(package private) static int` | `getPopInWidth()`
    `(package private) static int` | `getScriptButtonPercent()`
    `static void` | `saveHistory()`
    `(package private) static void` | `setAppletPath(java.lang.String path, boolean isRemote)`
    `(package private) static void` | `setPopInDim(int appletWidth, int appletHeight)`
    `(package private) static void` | `setScriptButtonPercent(int percent)`
    `(package private) static void` | `setWebPageAuthor(java.lang.String pageAuthor)`
    `(package private) static java.lang.String` | `TimeStamp_WebLink()`
    `void` | `windowActivated(java.awt.event.WindowEvent e)`
    `void` | `windowClosed(java.awt.event.WindowEvent e)`
    `void` | `windowClosing(java.awt.event.WindowEvent e)`
    `void` | `windowDeactivated(java.awt.event.WindowEvent e)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent e)`
    `void` | `windowGainedFocus(java.awt.event.WindowEvent e)`
    `void` | `windowIconified(java.awt.event.WindowEvent e)`
    `void` | `windowLostFocus(java.awt.event.WindowEvent e)`
    `void` | `windowOpened(java.awt.event.WindowEvent e)`
    `void` | `windowStateChanged(java.awt.event.WindowEvent e)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### chemappsPath

          static final java.lang.String chemappsPath

      See Also:
        Constant Field Values

    - #### showMoleculesAndOrbitals

          private static boolean showMoleculesAndOrbitals

    - #### STAND_ALONE

          private static final int STAND_ALONE

      See Also:
        Constant Field Values

    - #### IN_JMOL

          private static final int IN_JMOL

      See Also:
        Constant Field Values

    - #### runStatus

          private static int runStatus

    - #### historyFile

          private static HistoryFile historyFile

    - #### webPanels

          private static WebPanel[] webPanels

    - #### webExport

          static WebExport webExport

    - #### webFrame

          private static javax.swing.JFrame webFrame

    - #### windowName

          private static java.lang.String windowName

    - #### remoteAppletPath

          static java.lang.String remoteAppletPath

    - #### localAppletPath

          static java.lang.String localAppletPath

    - #### prop

          static java.util.Properties prop

    - #### pageAuthorName

          static java.lang.String pageAuthorName

    - #### popInWidth

          static int popInWidth

    - #### popInHeight

          static int popInHeight

    - #### scriptButtonPercent

          static int scriptButtonPercent

  - ### Constructor Detail

    - #### WebExport

          private WebExport(Viewer vwr,
                            HistoryFile hFile)

  - ### Method Detail

    - #### TimeStamp_WebLink

          static java.lang.String TimeStamp_WebLink()

    - #### dispose

          public static void dispose()

    - #### createAndShowGUI

          public static WebExport createAndShowGUI(Viewer vwr,
                                                   HistoryFile historyFile,
                                                   java.lang.String wName)

    - #### saveHistory

          public static void saveHistory()

    - #### getAppletPath

          static java.lang.String getAppletPath(boolean isRemote)

    - #### setAppletPath

          static void setAppletPath(java.lang.String path,
                                    boolean isRemote)

    - #### getPageAuthorName

          static java.lang.String getPageAuthorName()

    - #### setWebPageAuthor

          static void setWebPageAuthor(java.lang.String pageAuthor)

    - #### setPopInDim

          static void setPopInDim(int appletWidth,
                                  int appletHeight)

    - #### getPopInWidth

          static int getPopInWidth()

    - #### getPopInHeight

          static int getPopInHeight()

    - #### setScriptButtonPercent

          static void setScriptButtonPercent(int percent)

    - #### getScriptButtonPercent

          static int getScriptButtonPercent()

    - #### getFrame

          static javax.swing.JFrame getFrame()

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowGainedFocus

          public void windowGainedFocus(java.awt.event.WindowEvent e)

      Parameters:
        `e` -

    - #### windowLostFocus

          public void windowLostFocus(java.awt.event.WindowEvent e)

      Parameters:
        `e` -

    - #### windowStateChanged

          public void windowStateChanged(java.awt.event.WindowEvent e)

      Parameters:
        `e` -

    - #### cleanUp

          public static void cleanUp()